HIME(1)

NAME
hime - an input method server

SYNOPSIS
hime [-h|-v|--version]

DESCRIPTION
hime is an input method(IM) server, which focused mainly on Traditional Chinese. It is also very useful for Simplified Chinese, Japanese, and many other languages. IM table format of hime is almost as same as those of scim and xcin. Users may append their IMs to hime very easily. If you are looking for configuration tool of hime, please see the manpage of hime-setup.

OPTIONS

-h, -v, --version
    Show version of hime.

FILES

/usr/share/hime/table/gtab.list
    Input methods available for hime. You may copy it to $HOME/.config/hime/ and edit it as you like. If you have no $HOME/.config/hime/gtab.list, /usr/share/hime/table/gtab.list will be used.

/usr/share/hime/script/utf8-edit
    A file helps hime finding text editors when needed. You may add any UTF-8 compatible text editor to it.

ENVIRONMENT VARIABLES

LC_CTYPE
    For bash: export LC_CTYPE=zh_TW.UTF-8
    For csh: setenv LC_CTYPE zh_TW.UTF-8

XMODIFIERS
    For bash: export XMODIFIERS=@im=hime
    For csh: setenv XMODIFIERS @im=hime

GTK_IM_MODULE
    For bash: export GTK_IM_MODULE=hime
    For csh: setenv GTK_IM_MODULE hime

QT_IM_MODULE
    For bash: export QT_IM_MODULE=hime
    For csh: setenv QT_IM_MODULE hime

HIME_CONNECT_MSG_ON
    Display messages for socket connections.

HIME_DBG_TMP
    Display additional debug messages.

HIME_ERR_COREDUMP
    Option for debugging.

HIME_IM_CLIENT_NO_AUTO_EXEC
    Disable auto-evoke in hime protocol.

HIME_OUTPUT_FILTER
    Assign output filter to process data before the IM server send them to clients.

HIME_TABLE_DIR
    Assign directory for IM tables other then /usr/share/hime/table.

SEE ALSO
hime-setup(1), hime-cin2gtab(1), hime-phoa2d(1), hime-juyin-learn(1), hime-message(1)

AUTHORS

Edward Der-Hua Liu
    Wrote hime and associated tools.

Friend of Chanjei IM, Malaysia <www.chinesecj.com>
    Author of original Chanjei IM version 5 table.

Dayi Co., Ltd. <http://www.dayi.com>
    Author of Dayi IM.